OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class EventAnticipator

    java.lang.Object
      org.opennms.netmgt.mock.EventAnticipator

public class EventAnticipator
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) java.util.List` `m_anticipatedEvents`
`(package private) java.util.List` `m_unanticipatedEvents`

Constructor Summary
`EventAnticipator()`

Method Summary
`void` `anticipateEvent(Event event)`
`void` `eventProcessed(Event event)`
`void` `eventReceived(Event event)`
`java.util.Collection` `getAnticipatedEvents()`
`void` `reset()`
`java.util.Collection` `unanticipatedEvents()`
`java.util.Collection` `waitForAnticipated(long millis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_anticipatedEvents

    java.util.List m_anticipatedEvents

### m_unanticipatedEvents

    java.util.List m_unanticipatedEvents

Constructor Detail

### EventAnticipator

    public EventAnticipator()

Method Detail

### anticipateEvent

    public void anticipateEvent(Event event)

  Parameters:
    `event` -

### eventReceived

    public void eventReceived(Event event)

  Parameters:
    `event` -

### getAnticipatedEvents

    public java.util.Collection getAnticipatedEvents()

### reset

    public void reset()

### unanticipatedEvents

    public java.util.Collection unanticipatedEvents()

  Returns:

### waitForAnticipated

    public java.util.Collection waitForAnticipated(long millis)

  Returns:

### eventProcessed

    public void eventProcessed(Event event)

  Parameters:
    `event` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.